Subject: Re: procmail output file format.
From: Jason Tishler <[email-masked]>
To: Jason House <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 May 2002 21:58:40 -0400

Jason,

On Thu, May 30, 2002 at 04:21:02PM -0400, Jason House wrote:
> For whatever reason, it doesn't seem to work with -m.  I have
> reluctantly moved my .procmailrc file to /home/Administrator and removed
> the -m from the command line.  This makes does yield the desired
> functionality, but not the right file structure.  The problem boils down
> to how procmail rebuilds the environment before executing.  I've set
> HOME to be one thing, but procmail makes it default to another.  The -m
> was my work around and allowed me to keep all my important files in my
> home directory.  Home is part of "My Documents" and thus requires no
> special consideration for backup (especially when I must, unfortunately,
> rely on corporate computer service for repairs/upgrades).  I'm happy
> enough with this fix, but would much prefer a better solution. 
> Something like having /home/Administrator/.procmailrc simply say "use
> /Docume~1/jhouse/MyDocu~1/UnixHome/.procmailrc" would be better since it
> guarantees that it won't get deleted after it grows in complexity.

One last thought...  Why don't you change your /etc/passwd file so that
the home directory for Administrator is:

    /Docume~1/jhouse/MyDocu~1/UnixHome

instead of the more conventional:

    /home/Administrator

In this way, you don't need to supply the "-m" option or to set HOME
and you get the desired (albeit strange) directory structure.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/